From bc01d8fbcfd3f07e2139e898eef48349187ab64f Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 21 Mar 2022 22:05:58 +0100
Subject: [PATCH] [compiler-rt] Remove mentions of AuroraUX in code comments
 and docs.

AuroraUX was an operating system project based on an OpenSolaris kernel
and an Ada userland.

There appear to be no public code or release available online anymore.
The project page on Wikipedia [1] was deleted in January 2012, and a news
item [2] from November 2012 has more details.

[1] https://en.wikipedia.org/w/index.php?title=Special:Log/delete&page=AuroraUX
[2] https://www.phoronix.com/scan.php?page=news_item&px=MTIyMTI
---
 compiler-rt/lib/builtins/int_endianness.h   | 2 +-
 compiler-rt/test/builtins/Unit/endianness.h | 2 +-
 compiler-rt/www/index.html                  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/compiler-rt/lib/builtins/int_endianness.h b/compiler-rt/lib/builtins/int_endianness.h
index def046c34a625..291c6b58c8ed9 100644
--- a/compiler-rt/lib/builtins/int_endianness.h
+++ b/compiler-rt/lib/builtins/int_endianness.h
@@ -41,7 +41,7 @@
 #error "unknown endianness"
 #endif // !_LITTLE_ENDIAN
 
-#endif // Solaris and AuroraUX.
+#endif // Solaris
 
 // ..
 
diff --git a/compiler-rt/test/builtins/Unit/endianness.h b/compiler-rt/test/builtins/Unit/endianness.h
index 80d550b5fbdee..e02ca8795b32f 100644
--- a/compiler-rt/test/builtins/Unit/endianness.h
+++ b/compiler-rt/test/builtins/Unit/endianness.h
@@ -17,7 +17,7 @@
 #define _YUGA_BIG_ENDIAN    0
 #endif /* _BYTE_ORDER */
 
-#endif /* Solaris and AuroraUX. */
+#endif /* Solaris */
 
 /* .. */
 
diff --git a/compiler-rt/www/index.html b/compiler-rt/www/index.html
index d190565244004..0c26a9a7b1204 100644
--- a/compiler-rt/www/index.html
+++ b/compiler-rt/www/index.html
@@ -77,7 +77,7 @@ <h2 id="requirements">Platform Support</h2>
    <p><b>builtins</b> is known to work on the following platforms:</p>
    <ul>
    <li>Machine Architectures: i386, X86-64, SPARC64, ARM, PowerPC, PowerPC 64.</li>
-   <li>OS: AuroraUX, DragonFlyBSD, FreeBSD, NetBSD, OpenBSD, Linux, Darwin.</li>
+   <li>OS: DragonFlyBSD, FreeBSD, NetBSD, OpenBSD, Linux, Darwin.</li>
    </ul>
 
    <p>Most sanitizer runtimes are supported only on Linux x86-64. See tool-specific
